/*
 * InterfaceRemota.java
 *
 * Created on 27 de abril de 2004, 21:17
 */

package chuidiang.ejemplos.rmi.suma;

import java.rmi.*;
import java.io.Serializable;

/**
 * Interface remota que admite como parmetro un objeto Serializable
 * @author  Javier Abelln
 */
public interface InterfaceRemota extends Remote {
    /** Devuelve la suma de los sumandos contenidos en sumandos. */
    public int suma (InterfaceSumandos sumandos) throws RemoteException; 

    /** Guarda el contador y lo incrementa cada segundo hasta llegar a 10 */
    public void tomaContador (InterfaceContador contador) throws RemoteException;
}
