/*
 * Javier Abelln. Servidor.java
 *
 * Created on 2 de abril de 2004, 19:15
 */

package chuidiang.ejemplos.rmi.suma;

import java.rmi.*;

/**
 * Servidor para el ejemplo de RMI.
 * Exporte un metodo para sumar dos enteros y devuelve el resultado.
 */
public class Servidor 
{
    
    /** Crea nueva instancia de Servidor rmi */
    public Servidor() {
        System.setProperty ("java.rmi.server.codebase",
        "file:/d:/users/javier/java/RMI_SERIALIZABLE/src_servidor/");
            
        try 
        {
            // Se publica el objeto remoto
            InterfaceRemota objetoRemoto = new ObjetoRemoto();
            Naming.rebind ("//localhost/ObjetoRemoto", objetoRemoto);
            
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        new Servidor();
    }
}
